#include "SeancePerk.h"
#include "Net/UnrealNetwork.h"

void USeancePerk::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(USeancePerk, _isRitualOngoing);
	DOREPLIFETIME(USeancePerk, _seanceState);
}

USeancePerk::USeancePerk()
{
	this->_seancePerformerComponentClass = NULL;
	this->_brokenEffect = NULL;
	this->_seanceCompletedSurvivorStatusEffectClass = NULL;
	this->_seanceCompletedKillerStatusEffectClass = NULL;
	this->_isRitualOngoing = false;
	this->_destructivePerk = false;
	this->_seanceState = ESeanceState::Inactive;
}
